import { EditorView } from '@codemirror/view';
import { Compartment, Extension } from '@codemirror/state';
import { SQLConfig } from '@codemirror/lang-sql';
import { BasicSetupOptions } from '@tidbcloud/codemirror-extension-basic-setup';
export declare class SQLEditorInstance {
    editorId: string;
    editorView: EditorView;
    themeCompartment: Compartment;
    sqlCompartment: Compartment;
    extraData: {};
    constructor(editorId: string, editorView: EditorView, themeCompartment: Compartment, sqlCompartment: Compartment, extraData: {});
    changeTheme(theme: Extension): void;
    changeSQLConfig(sqlConfig: SQLConfig): void;
    getAllStatements(): import("@tidbcloud/codemirror-extension-sql-parser").SqlStatement[];
    getCurStatements(): import("@tidbcloud/codemirror-extension-sql-parser").SqlStatement[];
    getNearbyStatement(): import("@tidbcloud/codemirror-extension-sql-parser").SqlStatement | undefined;
}
export type CreateSQLEditorOptions = {
    editorId: string;
    doc: string;
    basicSetupOptions?: BasicSetupOptions;
    sqlConfig?: SQLConfig;
    theme?: Extension;
    extraExts?: Extension;
    extraData?: {};
};
export declare const createSQLEditorInstance: ({ editorId, doc, basicSetupOptions, sqlConfig, theme, extraExts, extraData }: CreateSQLEditorOptions) => SQLEditorInstance;
